package com.ruoyi.baseinfo.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.baseinfo.mapper.BasePosttypeInfoMapper;
import com.ruoyi.baseinfo.domain.BasePosttypeInfo;
import com.ruoyi.baseinfo.service.IBasePosttypeInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 职位类型基础信息Service业务层处理
 * 
 * @author CaesarBao
 * @date 2020-10-20
 */
@Service
public class BasePosttypeInfoServiceImpl implements IBasePosttypeInfoService 
{
    @Autowired
    private BasePosttypeInfoMapper basePosttypeInfoMapper;

    /**
     * 查询职位类型基础信息
     * 
     * @param objid 职位类型基础信息ID
     * @return 职位类型基础信息
     */
    @Override
    public BasePosttypeInfo selectBasePosttypeInfoById(Long objid)
    {
        return basePosttypeInfoMapper.selectBasePosttypeInfoById(objid);
    }

    /**
     * 查询职位类型基础信息列表
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 职位类型基础信息
     */
    @Override
    public List<BasePosttypeInfo> selectBasePosttypeInfoList(BasePosttypeInfo basePosttypeInfo)
    {
        return basePosttypeInfoMapper.selectBasePosttypeInfoList(basePosttypeInfo);
    }

    /**
     * 新增职位类型基础信息
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 结果
     */
    @Override
    public int insertBasePosttypeInfo(BasePosttypeInfo basePosttypeInfo)
    {
        basePosttypeInfo.setCreateTime(DateUtils.getNowDate());
        return basePosttypeInfoMapper.insertBasePosttypeInfo(basePosttypeInfo);
    }

    /**
     * 修改职位类型基础信息
     * 
     * @param basePosttypeInfo 职位类型基础信息
     * @return 结果
     */
    @Override
    public int updateBasePosttypeInfo(BasePosttypeInfo basePosttypeInfo)
    {
        basePosttypeInfo.setUpdateTime(DateUtils.getNowDate());
        return basePosttypeInfoMapper.updateBasePosttypeInfo(basePosttypeInfo);
    }

    /**
     * 删除职位类型基础信息对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteBasePosttypeInfoByIds(String ids)
    {
        return basePosttypeInfoMapper.deleteBasePosttypeInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除职位类型基础信息信息
     * 
     * @param objid 职位类型基础信息ID
     * @return 结果
     */
    @Override
    public int deleteBasePosttypeInfoById(Long objid)
    {
        return basePosttypeInfoMapper.deleteBasePosttypeInfoById(objid);
    }

    @Override
    public List<BasePosttypeInfo> selectAddBasePosttypeInfoList() {
        return basePosttypeInfoMapper.selectAddBasePosttypeInfoList();
    }

    @Override
    public List<BasePosttypeInfo> selectEditBasePosttypeInfoList(String postTypeID) {
        List<BasePosttypeInfo> cbEditPostTypeList = basePosttypeInfoMapper.selectAddBasePosttypeInfoList();
        List<BasePosttypeInfo> cbEditPostTypeListById = basePosttypeInfoMapper.selectEditBasePosttypeInfoList(postTypeID);
        for(BasePosttypeInfo basePostTypeList: cbEditPostTypeList)
        {
            for(BasePosttypeInfo basePostTypeListById : cbEditPostTypeListById)
            {
                if(basePostTypeList.getPostTypeId().equals(basePostTypeListById.getPostTypeId()))
                {
                    basePostTypeList.setFlag(true);
                    break;
                }
            }
        }
        return cbEditPostTypeList;
    }
}
